unit sensors;

interface

uses
  Windows, ActiveX;

const

// {BA1BB692-9B7A-4833-9A1E-525ED134E7E2}
GUID_DEVINTERFACE_SENSOR:
  TGUID = '{BA1BB692-9B7A-4833-9A1E-525ED134E7E2}';
{$EXTERNALSYM GUID_DEVINTERFACE_SENSOR}

//------------------------------------------------------------------------------
// Sensor Event IDs
//------------------------------------------------------------------------------

// {BFD96016-6BD7-4560-AD34-F2F6607E8F81}
SENSOR_EVENT_STATE_CHANGED:
  TGUID = '{BFD96016-6BD7-4560-AD34-F2F6607E8F81}';
{$EXTERNALSYM SENSOR_EVENT_STATE_CHANGED}
// {2ED0F2A4-0087-41D3-87DB-6773370B3C88}
SENSOR_EVENT_DATA_UPDATED:
  TGUID = '{2ED0F2A4-0087-41D3-87DB-6773370B3C88}';
{$EXTERNALSYM SENSOR_EVENT_DATA_UPDATED}
// {2358F099-84C9-4D3D-90DF-C2421E2B2045}
SENSOR_EVENT_PROPERTY_CHANGED:
  TGUID = '{2358F099-84C9-4D3D-90DF-C2421E2B2045}';
{$EXTERNALSYM SENSOR_EVENT_PROPERTY_CHANGED}


SID_SENSOR_EVENT_PARAMETER_COMMON_GUID    = '{64346E30-8728-4B34-BDF6-4F52442C5C28}';
// {2ED0F2A4-0087-41D3-87DB-6773370B3C88}
SENSOR_EVENT_PARAMETER_EVENT_ID:
  TPropertyKey = (fmtid: SID_SENSOR_EVENT_PARAMETER_COMMON_GUID; pid:  2);
{$EXTERNALSYM SENSOR_EVENT_PARAMETER_EVENT_ID}
// {64346E30-8728-4B34-BDF6-4F52442C5C28}
SENSOR_EVENT_PARAMETER_STATE:
  TPropertyKey = (fmtid: SID_SENSOR_EVENT_PARAMETER_COMMON_GUID; pid:  3); // [VT_UI4]
{$EXTERNALSYM SENSOR_EVENT_PARAMETER_STATE}

//------------------------------------------------------------------------------
// Sensor Properties
//------------------------------------------------------------------------------

// {7F8383EC-D3EC-495C-A8CF-B8BBE85C2920}
SID_SENSOR_PROPERTY_COMMON_GUID           = '{7F8383EC-D3EC-495C-A8CF-B8BBE85C2920}';
SENSOR_PROPERTY_COMMON_GUID:
  TGUID = SID_SENSOR_PROPERTY_COMMON_GUID;
{$EXTERNALSYM SENSOR_PROPERTY_COMMON_GUID}
SENSOR_PROPERTY_TYPE:
  TPropertyKey = (fmtid: SID_SENSOR_PROPERTY_COMMON_GUID; pid:  2); //[VT_CLSID]
{$EXTERNALSYM SENSOR_PROPERTY_TYPE}
SENSOR_PROPERTY_STATE:
  TPropertyKey = (fmtid: SID_SENSOR_PROPERTY_COMMON_GUID; pid:  3); //[VT_UI4]
{$EXTERNALSYM SENSOR_PROPERTY_STATE}
SENSOR_PROPERTY_PERSISTENT_UNIQUE_ID:
  TPropertyKey = (fmtid: SID_SENSOR_PROPERTY_COMMON_GUID; pid:  5); //[VT_CLSID]
{$EXTERNALSYM SENSOR_PROPERTY_PERSISTENT_UNIQUE_ID}
SENSOR_PROPERTY_MANUFACTURER:
  TPropertyKey = (fmtid: SID_SENSOR_PROPERTY_COMMON_GUID; pid:  6); //[VT_LPWSTR]
{$EXTERNALSYM SENSOR_PROPERTY_MANUFACTURER}
SENSOR_PROPERTY_MODEL:
  TPropertyKey = (fmtid: SID_SENSOR_PROPERTY_COMMON_GUID; pid:  7); //[VT_LPWSTR]
{$EXTERNALSYM SENSOR_PROPERTY_MODEL}
SENSOR_PROPERTY_SERIAL_NUMBER:
  TPropertyKey = (fmtid: SID_SENSOR_PROPERTY_COMMON_GUID; pid:  8); //[VT_LPWSTR]
{$EXTERNALSYM SENSOR_PROPERTY_SERIAL_NUMBER}
SENSOR_PROPERTY_FRIENDLY_NAME:
  TPropertyKey = (fmtid: SID_SENSOR_PROPERTY_COMMON_GUID; pid:  9); //[VT_LPWSTR]
{$EXTERNALSYM SENSOR_PROPERTY_FRIENDLY_NAME}
SENSOR_PROPERTY_DESCRIPTION:
  TPropertyKey = (fmtid: SID_SENSOR_PROPERTY_COMMON_GUID; pid: 10); //[VT_LPWSTR]
{$EXTERNALSYM SENSOR_PROPERTY_DESCRIPTION}
SENSOR_PROPERTY_CONNECTION_TYPE:
  TPropertyKey = (fmtid: SID_SENSOR_PROPERTY_COMMON_GUID; pid: 11); //[VT_UI4]
{$EXTERNALSYM SENSOR_PROPERTY_CONNECTION_TYPE}
SENSOR_PROPERTY_MIN_REPORT_INTERVAL:
  TPropertyKey = (fmtid: SID_SENSOR_PROPERTY_COMMON_GUID; pid: 12); //[VT_UI4]
{$EXTERNALSYM SENSOR_PROPERTY_MIN_REPORT_INTERVAL}
SENSOR_PROPERTY_CURRENT_REPORT_INTERVAL:
  TPropertyKey = (fmtid: SID_SENSOR_PROPERTY_COMMON_GUID; pid: 13); //[VT_UI4]
{$EXTERNALSYM SENSOR_PROPERTY_CURRENT_REPORT_INTERVAL}
SENSOR_PROPERTY_CHANGE_SENSITIVITY:
  TPropertyKey = (fmtid: SID_SENSOR_PROPERTY_COMMON_GUID; pid: 14); //[VT_UNKNOWN], IPortableDeviceValues
{$EXTERNALSYM SENSOR_PROPERTY_CHANGE_SENSITIVITY}
SENSOR_PROPERTY_DEVICE_PATH:
  TPropertyKey = (fmtid: SID_SENSOR_PROPERTY_COMMON_GUID; pid: 15); //[VT_LPWSTR]
{$EXTERNALSYM SENSOR_PROPERTY_DEVICE_PATH}
SENSOR_PROPERTY_LIGHT_RESPONSE_CURVE:
  TPropertyKey = (fmtid: SID_SENSOR_PROPERTY_COMMON_GUID; pid: 16); //[VT_VECTOR|VT_UI4]
{$EXTERNALSYM SENSOR_PROPERTY_LIGHT_RESPONSE_CURVE}
SENSOR_PROPERTY_ACCURACY:
  TPropertyKey = (fmtid: SID_SENSOR_PROPERTY_COMMON_GUID; pid: 17); //[VT_UNKNOWN], IPortableDeviceValues
{$EXTERNALSYM SENSOR_PROPERTY_ACCURACY}
SENSOR_PROPERTY_RESOLUTION:
  TPropertyKey = (fmtid: SID_SENSOR_PROPERTY_COMMON_GUID; pid: 18); //[VT_UNKNOWN], IPortableDeviceValues
{$EXTERNALSYM SENSOR_PROPERTY_RESOLUTION}
SENSOR_PROPERTY_LOCATION_DESIRED_ACCURACY:
  TPropertyKey = (fmtid: SID_SENSOR_PROPERTY_COMMON_GUID; pid: 19); //[VT_UI4]
{$EXTERNALSYM SENSOR_PROPERTY_LOCATION_DESIRED_ACCURACY}
SENSOR_PROPERTY_RANGE_MINIMUM:
  TPropertyKey = (fmtid: SID_SENSOR_PROPERTY_COMMON_GUID; pid: 20); //[VT_UNKNOWN], IPortableDeviceValues
{$EXTERNALSYM SENSOR_PROPERTY_RANGE_MINIMUM}
SENSOR_PROPERTY_RANGE_MAXIMUM:
  TPropertyKey = (fmtid: SID_SENSOR_PROPERTY_COMMON_GUID; pid: 21); //[VT_UNKNOWN], IPortableDeviceValues
{$EXTERNALSYM SENSOR_PROPERTY_RANGE_MAXIMUM}

//------------------------------------------------------------------------------
// Sensor Categories
//------------------------------------------------------------------------------

// {C317C286-C468-4288-9975-D4C4587C442C}
SENSOR_CATEGORY_ALL:
  TGUID = '{C317C286-C468-4288-9975-D4C4587C442C}';
{$EXTERNALSYM SENSOR_CATEGORY_ALL}
// {BFA794E4-F964-4FDB-90F6-51056BFE4B44}
SENSOR_CATEGORY_LOCATION:
  TGUID = '{BFA794E4-F964-4FDB-90F6-51056BFE4B44}';
{$EXTERNALSYM SENSOR_CATEGORY_LOCATION}
// {323439AA-7F66-492B-BA0C-73E9AA0A65D5}
SENSOR_CATEGORY_ENVIRONMENTAL:
  TGUID = '{323439AA-7F66-492B-BA0C-73E9AA0A65D5}';
{$EXTERNALSYM SENSOR_CATEGORY_ENVIRONMENTAL}
// {CD09DAF1-3B2E-4C3D-B598-B5E5FF93FD46}
SENSOR_CATEGORY_MOTION:
  TGUID = '{CD09DAF1-3B2E-4C3D-B598-B5E5FF93FD46}';
{$EXTERNALSYM SENSOR_CATEGORY_MOTION}
// {9E6C04B6-96FE-4954-B726-68682A473F69}
SENSOR_CATEGORY_ORIENTATION:
  TGUID = '{9E6C04B6-96FE-4954-B726-68682A473F69}';
{$EXTERNALSYM SENSOR_CATEGORY_ORIENTATION}
// {8D131D68-8EF7-4656-80B5-CCCBD93791C5}
SENSOR_CATEGORY_MECHANICAL:
  TGUID = '{8D131D68-8EF7-4656-80B5-CCCBD93791C5}';
{$EXTERNALSYM SENSOR_CATEGORY_MECHANICAL}
// {FB73FCD8-FC4A-483C-AC58-27B691C6BEFF}
SENSOR_CATEGORY_ELECTRICAL:
  TGUID = '{FB73FCD8-FC4A-483C-AC58-27B691C6BEFF}';
{$EXTERNALSYM SENSOR_CATEGORY_ELECTRICAL}
// {CA19690F-A2C7-477D-A99E-99EC6E2B5648}
SENSOR_CATEGORY_BIOMETRIC:
  TGUID = '{CA19690F-A2C7-477D-A99E-99EC6E2B5648}';
{$EXTERNALSYM SENSOR_CATEGORY_BIOMETRIC}
// {17A665C0-9063-4216-B202-5C7A255E18CE}
SENSOR_CATEGORY_LIGHT:
  TGUID = '{17A665C0-9063-4216-B202-5C7A255E18CE}';
{$EXTERNALSYM SENSOR_CATEGORY_LIGHT}
// {B000E77E-F5B5-420F-815D-0270A726F270}
SENSOR_CATEGORY_SCANNER:
  TGUID = '{B000E77E-F5B5-420F-815D-0270A726F270}';
{$EXTERNALSYM SENSOR_CATEGORY_SCANNER}

//------------------------------------------------------------------------------
// Sensor Types
//------------------------------------------------------------------------------

// Location Sensor Types

// {ED4CA589-327A-4FF9-A560-91DA4B48275E}
SENSOR_TYPE_LOCATION_GPS:
  TGUID = '{ED4CA589-327A-4FF9-A560-91DA4B48275E}';
{$EXTERNALSYM SENSOR_TYPE_LOCATION_GPS}
// {095F8184-0FA9-4445-8E6E-B70F320B6B4C}
SENSOR_TYPE_LOCATION_STATIC:
  TGUID = '{095F8184-0FA9-4445-8E6E-B70F320B6B4C}';
{$EXTERNALSYM SENSOR_TYPE_LOCATION_STATIC}
// {3B2EAE4A-72CE-436D-96D2-3C5B8570E987}
SENSOR_TYPE_LOCATION_LOOKUP:
  TGUID = '{3B2EAE4A-72CE-436D-96D2-3C5B8570E987}';
{$EXTERNALSYM SENSOR_TYPE_LOCATION_LOOKUP}
// {691C341A-5406-4FE1-942F-2246CBEB39E0}
SENSOR_TYPE_LOCATION_TRIANGULATION:
  TGUID = '{691C341A-5406-4FE1-942F-2246CBEB39E0}';
{$EXTERNALSYM SENSOR_TYPE_LOCATION_TRIANGULATION}
// {9B2D0566-0368-4F71-B88D-533F132031DE}
SENSOR_TYPE_LOCATION_OTHER:
  TGUID = '{9B2D0566-0368-4F71-B88D-533F132031DE}';
{$EXTERNALSYM SENSOR_TYPE_LOCATION_OTHER}
// {D26988CF-5162-4039-BB17-4C58B698E44A}
SENSOR_TYPE_LOCATION_BROADCAST:
  TGUID = '{D26988CF-5162-4039-BB17-4C58B698E44A}';
{$EXTERNALSYM SENSOR_TYPE_LOCATION_BROADCAST}
// {1A37D538-F28B-42DA-9FCE-A9D0A2A6D829}
SENSOR_TYPE_LOCATION_DEAD_RECKONING:
  TGUID = '{1A37D538-F28B-42DA-9FCE-A9D0A2A6D829}';
{$EXTERNALSYM SENSOR_TYPE_LOCATION_DEAD_RECKONING}

// Environmental Sensor Types

// {04FD0EC4-D5DA-45FA-95A9-5DB38EE19306}
SENSOR_TYPE_ENVIRONMENTAL_TEMPERATURE:
  TGUID = '{04FD0EC4-D5DA-45FA-95A9-5DB38EE19306}';
{$EXTERNALSYM SENSOR_TYPE_ENVIRONMENTAL_TEMPERATURE}
// {0E903829-FF8A-4A93-97DF-3DCBDE402288}
SENSOR_TYPE_ENVIRONMENTAL_ATMOSPHERIC_PRESSURE:
  TGUID = '{0E903829-FF8A-4A93-97DF-3DCBDE402288}';
{$EXTERNALSYM SENSOR_TYPE_ENVIRONMENTAL_ATMOSPHERIC_PRESSURE}
// {5C72BF67-BD7E-4257-990B-98A3BA3B400A}
SENSOR_TYPE_ENVIRONMENTAL_HUMIDITY:
  TGUID = '{5C72BF67-BD7E-4257-990B-98A3BA3B400A}';
{$EXTERNALSYM SENSOR_TYPE_ENVIRONMENTAL_HUMIDITY}
// {DD50607B-A45F-42CD-8EFD-EC61761C4226}
SENSOR_TYPE_ENVIRONMENTAL_WIND_SPEED:
  TGUID = '{DD50607B-A45F-42CD-8EFD-EC61761C4226}';
{$EXTERNALSYM SENSOR_TYPE_ENVIRONMENTAL_WIND_SPEED}
// {9EF57A35-9306-434D-AF09-37FA5A9C00BD}
SENSOR_TYPE_ENVIRONMENTAL_WIND_DIRECTION:
  TGUID = '{9EF57A35-9306-434D-AF09-37FA5A9C00BD}';
{$EXTERNALSYM SENSOR_TYPE_ENVIRONMENTAL_WIND_DIRECTION}

// Motion Sensor Types

// {C04D2387-7340-4CC2-991E-3B18CB8EF2F4}
SENSOR_TYPE_ACCELEROMETER_1D:
  TGUID = '{C04D2387-7340-4CC2-991E-3B18CB8EF2F4}';
{$EXTERNALSYM SENSOR_TYPE_ACCELEROMETER_1D}
// {B2C517A8-F6B5-4BA6-A423-5DF560B4CC07}
SENSOR_TYPE_ACCELEROMETER_2D:
  TGUID = '{B2C517A8-F6B5-4BA6-A423-5DF560B4CC07}';
{$EXTERNALSYM SENSOR_TYPE_ACCELEROMETER_2D}
// {C2FB0F5F-E2D2-4C78-BCD0-352A9582819D}
SENSOR_TYPE_ACCELEROMETER_3D:
  TGUID = '{C2FB0F5F-E2D2-4C78-BCD0-352A9582819D}';
{$EXTERNALSYM SENSOR_TYPE_ACCELEROMETER_3D}
// {5C7C1A12-30A5-43B9-A4B2-CF09EC5B7BE8}
SENSOR_TYPE_MOTION_DETECTOR:
  TGUID = '{5C7C1A12-30A5-43B9-A4B2-CF09EC5B7BE8}';
{$EXTERNALSYM SENSOR_TYPE_MOTION_DETECTOR}
// {FA088734-F552-4584-8324-EDFAF649652C}
SENSOR_TYPE_GYROMETER_1D:
  TGUID = '{FA088734-F552-4584-8324-EDFAF649652C}';
{$EXTERNALSYM SENSOR_TYPE_GYROMETER_1D}
// {31EF4F83-919B-48BF-8DE0-5D7A9D240556}
SENSOR_TYPE_GYROMETER_2D:
  TGUID = '{31EF4F83-919B-48BF-8DE0-5D7A9D240556}';
{$EXTERNALSYM SENSOR_TYPE_GYROMETER_2D}
// {09485F5A-759E-42C2-BD4B-A349B75C8643}
SENSOR_TYPE_GYROMETER_3D:
  TGUID = '{09485F5A-759E-42C2-BD4B-A349B75C8643}';
{$EXTERNALSYM SENSOR_TYPE_GYROMETER_3D}
// {6BD73C1F-0BB4-4310-81B2-DFC18A52BF94}
SENSOR_TYPE_SPEEDOMETER:
  TGUID = '{6BD73C1F-0BB4-4310-81B2-DFC18A52BF94}';
{$EXTERNALSYM SENSOR_TYPE_SPEEDOMETER}

// Orientation Sensor Types

// {A415F6C5-CB50-49D0-8E62-A8270BD7A26C}
SENSOR_TYPE_COMPASS_1D:
  TGUID = '{A415F6C5-CB50-49D0-8E62-A8270BD7A26C}';
{$EXTERNALSYM SENSOR_TYPE_COMPASS_1D}
// {15655CC0-997A-4D30-84DB-57CABA3648BB}
SENSOR_TYPE_COMPASS_2D:
  TGUID = '{15655CC0-997A-4D30-84DB-57CABA3648BB}';
{$EXTERNALSYM SENSOR_TYPE_COMPASS_2D}
// {76B5CE0D-17DD-414D-93A1-E127F40BDF6E}
SENSOR_TYPE_COMPASS_3D:
  TGUID = '{76B5CE0D-17DD-414D-93A1-E127F40BDF6E}';
{$EXTERNALSYM SENSOR_TYPE_COMPASS_3D}
// {B96F98C5-7A75-4BA7-94E9-AC868C966DD8}
SENSOR_TYPE_INCLINOMETER_1D:
  TGUID = '{B96F98C5-7A75-4BA7-94E9-AC868C966DD8}';
{$EXTERNALSYM SENSOR_TYPE_INCLINOMETER_1D}
// {AB140F6D-83EB-4264-B70B-B16A5B256A01}
SENSOR_TYPE_INCLINOMETER_2D:
  TGUID = '{AB140F6D-83EB-4264-B70B-B16A5B256A01}';
{$EXTERNALSYM SENSOR_TYPE_INCLINOMETER_2D}
// {B84919FB-EA85-4976-8444-6F6F5C6D31DB}
SENSOR_TYPE_INCLINOMETER_3D:
  TGUID = '{B84919FB-EA85-4976-8444-6F6F5C6D31DB}';
{$EXTERNALSYM SENSOR_TYPE_INCLINOMETER_3D}
// {5F14AB2F-1407-4306-A93F-B1DBABE4F9C0}
SENSOR_TYPE_DISTANCE_1D:
  TGUID = '{5F14AB2F-1407-4306-A93F-B1DBABE4F9C0}';
{$EXTERNALSYM SENSOR_TYPE_DISTANCE_1D}
// {5CF9A46C-A9A2-4E55-B6A1-A04AAFA95A92}
SENSOR_TYPE_DISTANCE_2D:
  TGUID = '{5CF9A46C-A9A2-4E55-B6A1-A04AAFA95A92}';
{$EXTERNALSYM SENSOR_TYPE_DISTANCE_2D}
// {A20CAE31-0E25-4772-9FE5-96608A1354B2}
SENSOR_TYPE_DISTANCE_3D:
  TGUID = '{A20CAE31-0E25-4772-9FE5-96608A1354B2}';
{$EXTERNALSYM SENSOR_TYPE_DISTANCE_3D}

// Electrical Sensor Types

// {C5484637-4FB7-4953-98B8-A56D8AA1FB1E}
SENSOR_TYPE_VOLTAGE:
  TGUID = '{C5484637-4FB7-4953-98B8-A56D8AA1FB1E}';
{$EXTERNALSYM SENSOR_TYPE_VOLTAGE}
// {5ADC9FCE-15A0-4BBE-A1AD-2D38A9AE831C}
SENSOR_TYPE_CURRENT:
  TGUID = '{5ADC9FCE-15A0-4BBE-A1AD-2D38A9AE831C}';
{$EXTERNALSYM SENSOR_TYPE_CURRENT}
// {CA2FFB1C-2317-49C0-A0B4-B63CE63461A0}
SENSOR_TYPE_CAPACITANCE:
  TGUID = '{CA2FFB1C-2317-49C0-A0B4-B63CE63461A0}';
{$EXTERNALSYM SENSOR_TYPE_CAPACITANCE}
// {9993D2C8-C157-4A52-A7B5-195C76037231}
SENSOR_TYPE_RESISTANCE:
  TGUID = '{9993D2C8-C157-4A52-A7B5-195C76037231}';
{$EXTERNALSYM SENSOR_TYPE_RESISTANCE}
// {DC1D933F-C435-4C7D-A2FE-607192A524D3}
SENSOR_TYPE_INDUCTANCE:
  TGUID = '{DC1D933F-C435-4C7D-A2FE-607192A524D3}';
{$EXTERNALSYM SENSOR_TYPE_INDUCTANCE}
// {212F10F5-14AB-4376-9A43-A7794098C2FE}
SENSOR_TYPE_ELECTRICAL_POWER:
  TGUID = '{212F10F5-14AB-4376-9A43-A7794098C2FE}';
{$EXTERNALSYM SENSOR_TYPE_ELECTRICAL_POWER}
// {2B3681A9-CADC-45AA-A6FF-54957C8BB440}
SENSOR_TYPE_POTENTIOMETER:
  TGUID = '{2B3681A9-CADC-45AA-A6FF-54957C8BB440}';
{$EXTERNALSYM SENSOR_TYPE_POTENTIOMETER}

// Mechanical Sensor Types

// {9C7E371F-1041-460B-8D5C-71E4752E350C}
SENSOR_TYPE_BOOLEAN_SWITCH:
  TGUID = '{9C7E371F-1041-460B-8D5C-71E4752E350C}';
{$EXTERNALSYM SENSOR_TYPE_BOOLEAN_SWITCH}
// {B3EE4D76-37A4-4402-B25E-99C60A775FA1}
SENSOR_TYPE_MULTIVALUE_SWITCH:
  TGUID = '{B3EE4D76-37A4-4402-B25E-99C60A775FA1}';
{$EXTERNALSYM SENSOR_TYPE_MULTIVALUE_SWITCH}
// {C2AB2B02-1A1C-4778-A81B-954A1788CC75}
SENSOR_TYPE_FORCE:
  TGUID = '{C2AB2B02-1A1C-4778-A81B-954A1788CC75}';
{$EXTERNALSYM SENSOR_TYPE_FORCE}
// {C06DD92C-7FEB-438E-9BF6-82207FFF5BB8}
SENSOR_TYPE_SCALE:
  TGUID = '{C06DD92C-7FEB-438E-9BF6-82207FFF5BB8}';
{$EXTERNALSYM SENSOR_TYPE_SCALE}
// {26D31F34-6352-41CF-B793-EA0713D53D77}
SENSOR_TYPE_PRESSURE:
  TGUID = '{26D31F34-6352-41CF-B793-EA0713D53D77}';
{$EXTERNALSYM SENSOR_TYPE_PRESSURE}
// {C6D1EC0E-6803-4361-AD3D-85BCC58C6D29}
SENSOR_TYPE_STRAIN:
  TGUID = '{C6D1EC0E-6803-4361-AD3D-85BCC58C6D29}';
{$EXTERNALSYM SENSOR_TYPE_STRAIN}

// Biometric Sensor Types

// {C138C12B-AD52-451C-9375-87F518FF10C6}
SENSOR_TYPE_HUMAN_PRESENCE:
  TGUID = '{C138C12B-AD52-451C-9375-87F518FF10C6}';
{$EXTERNALSYM SENSOR_TYPE_HUMAN_PRESENCE}
// {5220DAE9-3179-4430-9F90-06266D2A34DE}
SENSOR_TYPE_HUMAN_PROXIMITY:
  TGUID = '{5220DAE9-3179-4430-9F90-06266D2A34DE}';
{$EXTERNALSYM SENSOR_TYPE_HUMAN_PROXIMITY}
// {17DB3018-06C4-4F7D-81AF-9274B7599C27}
SENSOR_TYPE_TOUCH:
  TGUID = '{17DB3018-06C4-4F7D-81AF-9274B7599C27}';
{$EXTERNALSYM SENSOR_TYPE_TOUCH}

// Light Sensor Types

// {97F115C8-599A-4153-8894-D2D12899918A}
SENSOR_TYPE_AMBIENT_LIGHT:
  TGUID = '{97F115C8-599A-4153-8894-D2D12899918A}';
{$EXTERNALSYM SENSOR_TYPE_AMBIENT_LIGHT}

// Scanner Sensor Types

// {44328EF5-02DD-4E8D-AD5D-9249832B2ECA}
SENSOR_TYPE_RFID_SCANNER:
  TGUID = '{44328EF5-02DD-4E8D-AD5D-9249832B2ECA}';
{$EXTERNALSYM SENSOR_TYPE_RFID_SCANNER}
// {990B3D8F-85BB-45FF-914D-998C04F372DF}
SENSOR_TYPE_BARCODE_SCANNER:
  TGUID = '{990B3D8F-85BB-45FF-914D-998C04F372DF}';
{$EXTERNALSYM SENSOR_TYPE_BARCODE_SCANNER}

//------------------------------------------------------------------------------
// Sensor Data Types
//------------------------------------------------------------------------------

// Common Sensor Data Types

// {DB5E0CF2-CF1F-4C18-B46C-D86011D62150}
SID_SENSOR_DATA_TYPE_COMMON_GUID          = '{DB5E0CF2-CF1F-4C18-B46C-D86011D62150}';
SENSOR_DATA_TYPE_COMMON_GUID:
  TGUID = SID_SENSOR_DATA_TYPE_COMMON_GUID;
{$EXTERNALSYM SENSOR_DATA_TYPE_COMMON_GUID}
SENSOR_DATA_TYPE_TIMESTAMP:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_COMMON_GUID; pid:  2); //[VT_FILETIME]
{$EXTERNALSYM SENSOR_DATA_TYPE_TIMESTAMP}

// Location Sensor Data Types

// {055C74D8-CA6F-47D6-95C6-1ED3637A0FF4}
SID_SENSOR_DATA_TYPE_LOCATION_GUID        = '{055C74D8-CA6F-47D6-95C6-1ED3637A0FF4}';
SENSOR_DATA_TYPE_LOCATION_GUID:
  TGUID = SID_SENSOR_DATA_TYPE_LOCATION_GUID;
{$EXTERNALSYM SENSOR_DATA_TYPE_LOCATION_GUID}
// SENSOR_DATA_TYPE_LATITUDE: Degrees latitude where North is positive
SENSOR_DATA_TYPE_LATITUDE_DEGREES:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_LOCATION_GUID; pid:  2); //[VT_R8]
{$EXTERNALSYM SENSOR_DATA_TYPE_LATITUDE_DEGREES}
// SENSOR_DATA_TYPE_LONGITUDE: Degrees longitude where East is positive
SENSOR_DATA_TYPE_LONGITUDE_DEGREES:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_LOCATION_GUID; pid:  3); //[VT_R8]
{$EXTERNALSYM SENSOR_DATA_TYPE_LONGITUDE_DEGREES}
// SENSOR_DATA_TYPE_ALTITUDE_SEALEVEL_METERS: Altitude with regards to sea level, in meters
SENSOR_DATA_TYPE_ALTITUDE_SEALEVEL_METERS:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_LOCATION_GUID; pid:  4); //[VT_R8]
{$EXTERNALSYM SENSOR_DATA_TYPE_ALTITUDE_SEALEVEL_METERS}
// SENSOR_DATA_TYPE_ALTITUDE_ELLIPSOID_METERS: Altitude with regards to ellipsoid, in meters
SENSOR_DATA_TYPE_ALTITUDE_ELLIPSOID_METERS:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_LOCATION_GUID; pid:  5); //[VT_R8]
{$EXTERNALSYM SENSOR_DATA_TYPE_ALTITUDE_ELLIPSOID_METERS}
// SENSOR_DATA_TYPE_SPEED_KNOTS: Speed measured in knots
SENSOR_DATA_TYPE_SPEED_KNOTS:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_LOCATION_GUID; pid:  6); //[VT_R8]
{$EXTERNALSYM SENSOR_DATA_TYPE_SPEED_KNOTS}
// SENSOR_DATA_TYPE_TRUE_HEADING_DEGREES: Heading relative to true North in degrees
SENSOR_DATA_TYPE_TRUE_HEADING_DEGREES:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_LOCATION_GUID; pid:  7); //[VT_R8]
{$EXTERNALSYM SENSOR_DATA_TYPE_TRUE_HEADING_DEGREES}
// SENSOR_DATA_TYPE_MAGNETIC_HEADING_DEGREES: Heading relative to magnetic North in degrees
SENSOR_DATA_TYPE_MAGNETIC_HEADING_DEGREES:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_LOCATION_GUID; pid:  8); //[VT_R8]
{$EXTERNALSYM SENSOR_DATA_TYPE_MAGNETIC_HEADING_DEGREES}
// SENSOR_DATA_TYPE_MAGNETIC_VARIATION: Magnetic variation. East is positive
SENSOR_DATA_TYPE_MAGNETIC_VARIATION:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_LOCATION_GUID; pid:  9); //[VT_R8]
{$EXTERNALSYM SENSOR_DATA_TYPE_MAGNETIC_VARIATION}
// SENSOR_DATA_TYPE_FIX_QUALITY: Quality of fix
SENSOR_DATA_TYPE_FIX_QUALITY:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_LOCATION_GUID; pid: 10); //[VT_I4]
{$EXTERNALSYM SENSOR_DATA_TYPE_FIX_QUALITY}
// SENSOR_DATA_TYPE_FIX_TYPE: Fix Type
SENSOR_DATA_TYPE_FIX_TYPE:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_LOCATION_GUID; pid: 11); //[VT_I4]
{$EXTERNALSYM SENSOR_DATA_TYPE_FIX_TYPE}
// SENSOR_DATA_TYPE_POSITION_DILUTION_OF_PRECISION: Position Dilution of Precision
SENSOR_DATA_TYPE_POSITION_DILUTION_OF_PRECISION:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_LOCATION_GUID; pid: 12); //[VT_R8]
{$EXTERNALSYM SENSOR_DATA_TYPE_POSITION_DILUTION_OF_PRECISION}
// SENSOR_DATA_TYPE_HORIZONAL_DILUTION_OF_PRECISION: HORIZONTAL Dilution of Precision
SENSOR_DATA_TYPE_HORIZONAL_DILUTION_OF_PRECISION:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_LOCATION_GUID; pid: 13); //[VT_R8]
{$EXTERNALSYM SENSOR_DATA_TYPE_HORIZONAL_DILUTION_OF_PRECISION}
// SENSOR_DATA_TYPE_VERTICAL_DILUTION_OF_PRECISION: VERTICAL Dilution of Precision
SENSOR_DATA_TYPE_VERTICAL_DILUTION_OF_PRECISION:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_LOCATION_GUID; pid: 14); //[VT_R8]
{$EXTERNALSYM SENSOR_DATA_TYPE_VERTICAL_DILUTION_OF_PRECISION}
// SENSOR_DATA_TYPE_SATELLITES_USED_COUNT: Number of satellites used in solution
SENSOR_DATA_TYPE_SATELLITES_USED_COUNT:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_LOCATION_GUID; pid: 15); //[VT_I4]
{$EXTERNALSYM SENSOR_DATA_TYPE_SATELLITES_USED_COUNT}
// SENSOR_DATA_TYPE_SATELLITES_USED_PRNS: PRN numbers of satellites used in the solution
SENSOR_DATA_TYPE_SATELLITES_USED_PRNS:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_LOCATION_GUID; pid: 16); //[VT_VECTOR | VT_UI4]
{$EXTERNALSYM SENSOR_DATA_TYPE_SATELLITES_USED_PRNS}
// SENSOR_DATA_TYPE_SATELLITES_IN_VIEW: Number of satellites in view.  From 0-GPS_MAX_SATELLITES
SENSOR_DATA_TYPE_SATELLITES_IN_VIEW:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_LOCATION_GUID; pid: 17); //[VT_I4]
{$EXTERNALSYM SENSOR_DATA_TYPE_SATELLITES_IN_VIEW}
// SENSOR_DATA_TYPE_SATELLITES_IN_VIEW_PRNS: PRN numbers of satellites in view
SENSOR_DATA_TYPE_SATELLITES_IN_VIEW_PRNS:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_LOCATION_GUID; pid: 18); //[VT_VECTOR | VT_UI4]
{$EXTERNALSYM SENSOR_DATA_TYPE_SATELLITES_IN_VIEW_PRNS}
// SENSOR_DATA_TYPE_SATELLITES_IN_VIEW_ELEVATION: Elevation of each sattellite in view
SENSOR_DATA_TYPE_SATELLITES_IN_VIEW_ELEVATION:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_LOCATION_GUID; pid: 19); //[VT_VECTOR | VT_R8]
{$EXTERNALSYM SENSOR_DATA_TYPE_SATELLITES_IN_VIEW_ELEVATION}
// SENSOR_DATA_TYPE_SATELLITES_IN_VIEW_AZIMUTH: Azimuth of each satellite in view
SENSOR_DATA_TYPE_SATELLITES_IN_VIEW_AZIMUTH:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_LOCATION_GUID; pid: 20); //[VT_VECTOR | VT_R8]
{$EXTERNALSYM SENSOR_DATA_TYPE_SATELLITES_IN_VIEW_AZIMUTH}
// SENSOR_DATA_TYPE_SATELLITES_IN_VIEW_STN_RATIO: Signal to noise ratio for each satellite in view
SENSOR_DATA_TYPE_SATELLITES_IN_VIEW_STN_RATIO:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_LOCATION_GUID; pid: 21); //[VT_VECTOR | VT_R8]
{$EXTERNALSYM SENSOR_DATA_TYPE_SATELLITES_IN_VIEW_STN_RATIO}
// SENSOR_DATA_TYPE_ERROR_RADIUS_METERS: Accuracy of Latitude and Longitude values
SENSOR_DATA_TYPE_ERROR_RADIUS_METERS:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_LOCATION_GUID; pid: 22); //[VT_R8]
{$EXTERNALSYM SENSOR_DATA_TYPE_ERROR_RADIUS_METERS}
// SENSOR_DATA_TYPE_ADDRESS1: AddressLine1
SENSOR_DATA_TYPE_ADDRESS1:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_LOCATION_GUID; pid: 23); //[VT_LPWSTR]
{$EXTERNALSYM SENSOR_DATA_TYPE_ADDRESS1}
// SENSOR_DATA_TYPE_ADDRESS2: AddressLine2
SENSOR_DATA_TYPE_ADDRESS2:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_LOCATION_GUID; pid: 24); //[VT_LPWSTR]
{$EXTERNALSYM SENSOR_DATA_TYPE_ADDRESS2}
// SENSOR_DATA_TYPE_CITY: City
SENSOR_DATA_TYPE_CITY:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_LOCATION_GUID; pid: 25); //[VT_LPWSTR]
{$EXTERNALSYM SENSOR_DATA_TYPE_CITY}
// SENSOR_DATA_TYPE_STATE_PROVINCE: State/Province
SENSOR_DATA_TYPE_STATE_PROVINCE:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_LOCATION_GUID; pid: 26); //[VT_LPWSTR]
{$EXTERNALSYM SENSOR_DATA_TYPE_STATE_PROVINCE}
// SENSOR_DATA_TYPE_POSTALCODE: Postal Code (e.g. ZIP)
SENSOR_DATA_TYPE_POSTALCODE:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_LOCATION_GUID; pid: 27); //[VT_LPWSTR]
{$EXTERNALSYM SENSOR_DATA_TYPE_POSTALCODE}
// SENSOR_DATA_TYPE_COUNTRY_REGION: Country/Region
SENSOR_DATA_TYPE_COUNTRY_REGION:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_LOCATION_GUID; pid: 28); //[VT_LPWSTR]
{$EXTERNALSYM SENSOR_DATA_TYPE_COUNTRY_REGION}
// SENSOR_DATA_TYPE_ALTITUDE_ELLIPSOID_ERROR_METERS: Altitude Error with regards to ellipsoid, in meters
SENSOR_DATA_TYPE_ALTITUDE_ELLIPSOID_ERROR_METERS:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_LOCATION_GUID; pid: 29); //[VT_R8]
{$EXTERNALSYM SENSOR_DATA_TYPE_ALTITUDE_ELLIPSOID_ERROR_METERS}
// SENSOR_DATA_TYPE_ALTITUDE_SEALEVEL_ERROR_METERS: Altitude Error with regards to sea level, in meters
SENSOR_DATA_TYPE_ALTITUDE_SEALEVEL_ERROR_METERS:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_LOCATION_GUID; pid: 30); //[VT_R8]
{$EXTERNALSYM SENSOR_DATA_TYPE_ALTITUDE_SEALEVEL_ERROR_METERS}
// SENSOR_DATA_TYPE_GPS_SELECTION_MODE:
SENSOR_DATA_TYPE_GPS_SELECTION_MODE:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_LOCATION_GUID; pid: 31); //[VT_I4]
{$EXTERNALSYM SENSOR_DATA_TYPE_GPS_SELECTION_MODE}
// SENSOR_DATA_TYPE_GPS_OPERATION_MODE:
SENSOR_DATA_TYPE_GPS_OPERATION_MODE:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_LOCATION_GUID; pid: 32); //[VT_I4]
{$EXTERNALSYM SENSOR_DATA_TYPE_GPS_OPERATION_MODE}
// SENSOR_DATA_TYPE_GPS_STATUS:
SENSOR_DATA_TYPE_GPS_STATUS:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_LOCATION_GUID; pid: 33); //[VT_I4]
{$EXTERNALSYM SENSOR_DATA_TYPE_GPS_STATUS}
// SENSOR_DATA_TYPE_GEOIDAL_SEPARATION:
SENSOR_DATA_TYPE_GEOIDAL_SEPARATION:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_LOCATION_GUID; pid: 34); //[VT_R8]
{$EXTERNALSYM SENSOR_DATA_TYPE_GEOIDAL_SEPARATION}
// SENSOR_DATA_TYPE_DGPS_DATA_AGE:
SENSOR_DATA_TYPE_DGPS_DATA_AGE:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_LOCATION_GUID; pid: 35); //[VT_R8]
{$EXTERNALSYM SENSOR_DATA_TYPE_DGPS_DATA_AGE}
// SENSOR_DATA_TYPE_ALTITUDE_ANTENNA_SEALEVEL_METERS:
SENSOR_DATA_TYPE_ALTITUDE_ANTENNA_SEALEVEL_METERS:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_LOCATION_GUID; pid: 36); //[VT_R8]
{$EXTERNALSYM SENSOR_DATA_TYPE_ALTITUDE_ANTENNA_SEALEVEL_METERS}
// SENSOR_DATA_TYPE_DIFFERENTIAL_REFERENCE_STATION_ID:
SENSOR_DATA_TYPE_DIFFERENTIAL_REFERENCE_STATION_ID:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_LOCATION_GUID; pid: 37); //[VT_I4]
{$EXTERNALSYM SENSOR_DATA_TYPE_DIFFERENTIAL_REFERENCE_STATION_ID}
// SENSOR_DATA_TYPE_NMEA_SENTENCE:
SENSOR_DATA_TYPE_NMEA_SENTENCE:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_LOCATION_GUID; pid: 38); //[VT_LPWSTR]
{$EXTERNALSYM SENSOR_DATA_TYPE_NMEA_SENTENCE}
// SENSOR_DATA_TYPE_SATELLITES_IN_VIEW_ID:
SENSOR_DATA_TYPE_SATELLITES_IN_VIEW_ID:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_LOCATION_GUID; pid: 39); //[VT_VECTOR|VT_I4]
{$EXTERNALSYM SENSOR_DATA_TYPE_SATELLITES_IN_VIEW_ID}

// Environmental Sensor Data Types

// {8B0AA2F1-2D57-42EE-8CC0-4D27622B46C4}
SID_SENSOR_DATA_TYPE_ENVIRONMENTAL_GUID   = '{8B0AA2F1-2D57-42EE-8CC0-4D27622B46C4}';
SENSOR_DATA_TYPE_ENVIRONMENTAL_GUID:
  TGUID = SID_SENSOR_DATA_TYPE_ENVIRONMENTAL_GUID;
{$EXTERNALSYM SENSOR_DATA_TYPE_ENVIRONMENTAL_GUID}
SENSOR_DATA_TYPE_TEMPERATURE_CELSIUS:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_ENVIRONMENTAL_GUID; pid:  2); //[VT_R4]
{$EXTERNALSYM SENSOR_DATA_TYPE_TEMPERATURE_CELSIUS}
SENSOR_DATA_TYPE_RELATIVE_HUMIDITY_PERCENT:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_ENVIRONMENTAL_GUID; pid:  3); //[VT_R4]
{$EXTERNALSYM SENSOR_DATA_TYPE_RELATIVE_HUMIDITY_PERCENT}
SENSOR_DATA_TYPE_ATMOSPHERIC_PRESSURE_BAR:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_ENVIRONMENTAL_GUID; pid:  4); //[VT_R4]
{$EXTERNALSYM SENSOR_DATA_TYPE_ATMOSPHERIC_PRESSURE_BAR}
SENSOR_DATA_TYPE_WIND_DIRECTION_DEGREES_ANTICLOCKWISE:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_ENVIRONMENTAL_GUID; pid:  5); //[VT_R4]
{$EXTERNALSYM SENSOR_DATA_TYPE_WIND_DIRECTION_DEGREES_ANTICLOCKWISE}
SENSOR_DATA_TYPE_WIND_SPEED_METERS_PER_SECOND:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_ENVIRONMENTAL_GUID; pid:  6); //[VT_R4]
{$EXTERNALSYM SENSOR_DATA_TYPE_WIND_SPEED_METERS_PER_SECOND}

// Motion Sensor Data Types

// {3F8A69A2-07C5-4E48-A965-CD797AAB56D5}
SID_SENSOR_DATA_TYPE_MOTION_GUID          = '{3F8A69A2-07C5-4E48-A965-CD797AAB56D5}';
SENSOR_DATA_TYPE_MOTION_GUID:
  TGUID = SID_SENSOR_DATA_TYPE_MOTION_GUID;
{$EXTERNALSYM SENSOR_DATA_TYPE_MOTION_GUID}
// Accelerometer Data Types
SENSOR_DATA_TYPE_ACCELERATION_X_G:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_MOTION_GUID; pid:  2); //[VT_R8]
{$EXTERNALSYM SENSOR_DATA_TYPE_ACCELERATION_X_G}
SENSOR_DATA_TYPE_ACCELERATION_Y_G:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_MOTION_GUID; pid:  3); //[VT_R8]
{$EXTERNALSYM SENSOR_DATA_TYPE_ACCELERATION_Y_G}
SENSOR_DATA_TYPE_ACCELERATION_Z_G:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_MOTION_GUID; pid:  4); //[VT_R8]
{$EXTERNALSYM SENSOR_DATA_TYPE_ACCELERATION_Z_G}
// Gyrometer Data Types
SENSOR_DATA_TYPE_ANGULAR_ACCELERATION_X_DEGREES_PER_SECOND_SQUARED:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_MOTION_GUID; pid:  5); //[VT_R8]
{$EXTERNALSYM SENSOR_DATA_TYPE_ANGULAR_ACCELERATION_X_DEGREES_PER_SECOND_SQUARED}
SENSOR_DATA_TYPE_ANGULAR_ACCELERATION_Y_DEGREES_PER_SECOND_SQUARED:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_MOTION_GUID; pid:  6); //[VT_R8]
{$EXTERNALSYM SENSOR_DATA_TYPE_ANGULAR_ACCELERATION_Y_DEGREES_PER_SECOND_SQUARED}
SENSOR_DATA_TYPE_ANGULAR_ACCELERATION_Z_DEGREES_PER_SECOND_SQUARED:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_MOTION_GUID; pid:  7); //[VT_R8]
{$EXTERNALSYM SENSOR_DATA_TYPE_ANGULAR_ACCELERATION_Z_DEGREES_PER_SECOND_SQUARED}
SENSOR_DATA_TYPE_SPEED_METERS_PER_SECOND:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_MOTION_GUID; pid:  8); //[VT_R8]
{$EXTERNALSYM SENSOR_DATA_TYPE_SPEED_METERS_PER_SECOND}
SENSOR_DATA_TYPE_MOTION_STATE:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_MOTION_GUID; pid:  9); //[VT_BOOL]
{$EXTERNALSYM SENSOR_DATA_TYPE_MOTION_STATE}

// Orientation Sensor Data Types

// {1637D8A2-4248-4275-865D-558DE84AEDFD}
SID_SENSOR_DATA_TYPE_ORIENTATION_GUID     = '{1637D8A2-4248-4275-865D-558DE84AEDFD}';
SENSOR_DATA_TYPE_ORIENTATION_GUID:
  TGUID = SID_SENSOR_DATA_TYPE_ORIENTATION_GUID;
{$EXTERNALSYM SENSOR_DATA_TYPE_ORIENTATION_GUID}
// Inclinometer Data Types
SENSOR_DATA_TYPE_TILT_X_DEGREES:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_ORIENTATION_GUID; pid:  2); //[VT_R4]
{$EXTERNALSYM SENSOR_DATA_TYPE_TILT_X_DEGREES}
SENSOR_DATA_TYPE_TILT_Y_DEGREES:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_ORIENTATION_GUID; pid:  3); //[VT_R4]
{$EXTERNALSYM SENSOR_DATA_TYPE_TILT_Y_DEGREES}
SENSOR_DATA_TYPE_TILT_Z_DEGREES:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_ORIENTATION_GUID; pid:  4); //[VT_R4]
{$EXTERNALSYM SENSOR_DATA_TYPE_TILT_Z_DEGREES}
// Compass Data Types
SENSOR_DATA_TYPE_MAGNETIC_HEADING_X_DEGREES:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_ORIENTATION_GUID; pid:  5); //[VT_R4]
{$EXTERNALSYM SENSOR_DATA_TYPE_MAGNETIC_HEADING_X_DEGREES}
SENSOR_DATA_TYPE_MAGNETIC_HEADING_Y_DEGREES:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_ORIENTATION_GUID; pid:  6); //[VT_R4]
{$EXTERNALSYM SENSOR_DATA_TYPE_MAGNETIC_HEADING_Y_DEGREES}
SENSOR_DATA_TYPE_MAGNETIC_HEADING_Z_DEGREES:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_ORIENTATION_GUID; pid:  7); //[VT_R4]
{$EXTERNALSYM SENSOR_DATA_TYPE_MAGNETIC_HEADING_Z_DEGREES}
// Distance Data Types
SENSOR_DATA_TYPE_DISTANCE_X_METERS:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_ORIENTATION_GUID; pid:  8); //[VT_R4]
{$EXTERNALSYM SENSOR_DATA_TYPE_DISTANCE_X_METERS}
SENSOR_DATA_TYPE_DISTANCE_Y_METERS:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_ORIENTATION_GUID; pid:  9); //[VT_R4]
{$EXTERNALSYM SENSOR_DATA_TYPE_DISTANCE_Y_METERS}
SENSOR_DATA_TYPE_DISTANCE_Z_METERS:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_ORIENTATION_GUID; pid: 10); //[VT_R4]
{$EXTERNALSYM SENSOR_DATA_TYPE_DISTANCE_Z_METERS}

// Mechanical Sensor Data Types

// {38564A7C-F2F2-49BB-9B2B-BA60F66A58DF}
SID_SENSOR_DATA_TYPE_GUID_MECHANICAL_GUID = '{38564A7C-F2F2-49BB-9B2B-BA60F66A58DF}';
SENSOR_DATA_TYPE_GUID_MECHANICAL_GUID:
  TGUID = SID_SENSOR_DATA_TYPE_GUID_MECHANICAL_GUID;
{$EXTERNALSYM SENSOR_DATA_TYPE_GUID_MECHANICAL_GUID}
SENSOR_DATA_TYPE_BOOLEAN_SWITCH_STATE:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_GUID_MECHANICAL_GUID; pid:  2); //[VT_BOOL]
{$EXTERNALSYM SENSOR_DATA_TYPE_BOOLEAN_SWITCH_STATE}
SENSOR_DATA_TYPE_MULTIVALUE_SWITCH_STATE:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_GUID_MECHANICAL_GUID; pid:  3); //[VT_R8]
{$EXTERNALSYM SENSOR_DATA_TYPE_MULTIVALUE_SWITCH_STATE}
SENSOR_DATA_TYPE_FORCE_NEWTONS:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_GUID_MECHANICAL_GUID; pid:  4); //[VT_R8]
{$EXTERNALSYM SENSOR_DATA_TYPE_FORCE_NEWTONS}
SENSOR_DATA_TYPE_ABSOLUTE_PRESSURE_PASCAL:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_GUID_MECHANICAL_GUID; pid:  5); //[VT_R8]
{$EXTERNALSYM SENSOR_DATA_TYPE_ABSOLUTE_PRESSURE_PASCAL}
SENSOR_DATA_TYPE_GAUGE_PRESSURE_PASCAL:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_GUID_MECHANICAL_GUID; pid:  6); //[VT_R8]
{$EXTERNALSYM SENSOR_DATA_TYPE_GAUGE_PRESSURE_PASCAL}
SENSOR_DATA_TYPE_STRAIN:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_GUID_MECHANICAL_GUID; pid:  7); //[VT_R8]
{$EXTERNALSYM SENSOR_DATA_TYPE_STRAIN}
SENSOR_DATA_TYPE_WEIGHT_KILOGRAMS:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_GUID_MECHANICAL_GUID; pid:  8); //[VT_R8]
{$EXTERNALSYM SENSOR_DATA_TYPE_WEIGHT_KILOGRAMS}

// Biometric Sensor Data Types

// {2299288A-6D9E-4B0B-B7EC-3528F89E40AF}
SID_SENSOR_DATA_TYPE_BIOMETRIC_GUID       = '{2299288A-6D9E-4B0B-B7EC-3528F89E40AF}';
SENSOR_DATA_TYPE_BIOMETRIC_GUID:
  TGUID = SID_SENSOR_DATA_TYPE_BIOMETRIC_GUID;
{$EXTERNALSYM SENSOR_DATA_TYPE_BIOMETRIC_GUID}
SENSOR_DATA_TYPE_HUMAN_PRESENCE:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_BIOMETRIC_GUID; pid:  2); //[VT_BOOL]
{$EXTERNALSYM SENSOR_DATA_TYPE_HUMAN_PRESENCE}
SENSOR_DATA_TYPE_HUMAN_PROXIMITY_METERS:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_BIOMETRIC_GUID; pid:  3); //[VT_R4]
{$EXTERNALSYM SENSOR_DATA_TYPE_HUMAN_PROXIMITY_METERS}
SENSOR_DATA_TYPE_TOUCH_STATE:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_BIOMETRIC_GUID; pid:  4); //[VT_BOOL]
{$EXTERNALSYM SENSOR_DATA_TYPE_TOUCH_STATE}

// Light Sensor Data Types

// {E4C77CE2-DCB7-46E9-8439-4FEC548833A6}
SID_SENSOR_DATA_TYPE_LIGHT_GUID           = '{E4C77CE2-DCB7-46E9-8439-4FEC548833A6}';
SENSOR_DATA_TYPE_LIGHT_GUID:
  TGUID = SID_SENSOR_DATA_TYPE_LIGHT_GUID;
{$EXTERNALSYM SENSOR_DATA_TYPE_LIGHT_GUID}
// Ambient light in LUX, Lumens per square meter, the ACPI convention for reporting ambient light values
SENSOR_DATA_TYPE_LIGHT_LEVEL_LUX:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_LIGHT_GUID; pid:  2); //[VT_R4]
{$EXTERNALSYM SENSOR_DATA_TYPE_LIGHT_LEVEL_LUX}
SENSOR_DATA_TYPE_LIGHT_TEMPERATURE_KELVIN:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_LIGHT_GUID; pid:  3); //[VT_R4]
{$EXTERNALSYM SENSOR_DATA_TYPE_LIGHT_TEMPERATURE_KELVIN}
SENSOR_DATA_TYPE_LIGHT_CHROMACITY:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_LIGHT_GUID; pid:  4); //[VT_VECTOR|VT_R4]
{$EXTERNALSYM SENSOR_DATA_TYPE_LIGHT_CHROMACITY}

// Scanner Sensor Data Types

// {D7A59A3C-3421-44AB-8D3A-9DE8AB6C4CAE}
SID_SENSOR_DATA_TYPE_SCANNER_GUID         = '{D7A59A3C-3421-44AB-8D3A-9DE8AB6C4CAE}';
SENSOR_DATA_TYPE_SCANNER_GUID:
  TGUID = SID_SENSOR_DATA_TYPE_SCANNER_GUID;
{$EXTERNALSYM SENSOR_DATA_TYPE_SCANNER_GUID}
// EM4102 RFID protocol uses 40 bit tags, stored in 64 bit value: VT_UI8
SENSOR_DATA_TYPE_RFID_TAG_40_BIT:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_SCANNER_GUID; pid:  2); //[VT_UI8]
{$EXTERNALSYM SENSOR_DATA_TYPE_RFID_TAG_40_BIT}

// Electrical Sensor Data Types

// {BBB246D1-E242-4780-A2D3-CDED84F35842}
SID_SENSOR_DATA_TYPE_ELECTRICAL_GUID      = '{BBB246D1-E242-4780-A2D3-CDED84F35842}';
SENSOR_DATA_TYPE_ELECTRICAL_GUID:
  TGUID = SID_SENSOR_DATA_TYPE_ELECTRICAL_GUID;
{$EXTERNALSYM SENSOR_DATA_TYPE_ELECTRICAL_GUID}
SENSOR_DATA_TYPE_VOLTAGE_VOLTS:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_ELECTRICAL_GUID; pid:  2); //[VT_R8]
{$EXTERNALSYM SENSOR_DATA_TYPE_VOLTAGE_VOLTS}
SENSOR_DATA_TYPE_CURRENT_AMPS:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_ELECTRICAL_GUID; pid:  3); //[VT_R8]
{$EXTERNALSYM SENSOR_DATA_TYPE_CURRENT_AMPS}
SENSOR_DATA_TYPE_CAPACITANCE_FARAD:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_ELECTRICAL_GUID; pid:  4); //[VT_R8]
{$EXTERNALSYM SENSOR_DATA_TYPE_CAPACITANCE_FARAD}
SENSOR_DATA_TYPE_RESISTANCE_OHMS:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_ELECTRICAL_GUID; pid:  5); //[VT_R8]
{$EXTERNALSYM SENSOR_DATA_TYPE_RESISTANCE_OHMS}
SENSOR_DATA_TYPE_INDUCTANCE_HENRY:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_ELECTRICAL_GUID; pid:  6); //[VT_R8]
{$EXTERNALSYM SENSOR_DATA_TYPE_INDUCTANCE_HENRY}
SENSOR_DATA_TYPE_ELECTRICAL_POWER_WATTS:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_ELECTRICAL_GUID; pid:  7); //[VT_R8]
{$EXTERNALSYM SENSOR_DATA_TYPE_ELECTRICAL_POWER_WATTS}

implementation

end.
