unit sensorsapi;

interface

uses
  Windows, ActiveX, Propsys, PortableDeviceTypes;

{$HPPEMIT '#include "sensorsapi.h"'}
{$HPPEMIT '#pragma link "sensorsapi.lib"'}

const
  SENSOR_STATE_MIN            = 0;
  {$EXTERNALSYM SENSOR_STATE_MIN}
	SENSOR_STATE_READY          = SENSOR_STATE_MIN;
  {$EXTERNALSYM SENSOR_STATE_READY}
	SENSOR_STATE_NOT_AVAILABLE  = SENSOR_STATE_READY + 1;
  {$EXTERNALSYM SENSOR_STATE_NOT_AVAILABLE}
	SENSOR_STATE_NO_DATA        = SENSOR_STATE_NOT_AVAILABLE + 1;
  {$EXTERNALSYM SENSOR_STATE_NO_DATA}
	SENSOR_STATE_INITIALIZING   = SENSOR_STATE_NO_DATA + 1;
  {$EXTERNALSYM SENSOR_STATE_INITIALIZING}
	SENSOR_STATE_ACCESS_DENIED  = SENSOR_STATE_INITIALIZING + 1;
  {$EXTERNALSYM SENSOR_STATE_ACCESS_DENIED}
	SENSOR_STATE_ERROR          = SENSOR_STATE_ACCESS_DENIED + 1;
  {$EXTERNALSYM SENSOR_STATE_ERROR}
	SENSOR_STATE_MAX            = SENSOR_STATE_ERROR;
  {$EXTERNALSYM SENSOR_STATE_MAX}

  // SID
  SID_LogicalSensorManager    = '{7490B4D4-1BE9-469A-9743-37A27C1D80AF}';
  SID_Sensor                  = '{5FA08F80-2657-458E-AF75-46F73FA6AC5C}';
  SID_SensorCollection        = '{23571E11-E545-4DD8-A337-B89BF44B10DF}';
  SID_SensorDataReport        = '{0AB9DF9B-C4B5-4796-8898-0470706A2E1D}';
  SID_SensorEvents            = '{5D8DCC91-4641-47E7-B7C3-B74F48A6C391}';
  SID_SensorManager           = '{BD77DB67-45A8-42DC-8D00-6DCF15F8377A}';
  SID_SensorManagerEvents     = '{9B3B0B86-266A-4AAD-B21F-FDE5501001B7}';

  // IID
  IID_LogicalSensorManager:   TGUID = SID_LogicalSensorManager;
  {$EXTERNALSYM IID_LogicalSensorManager}
  IID_Sensor:                 TGUID = SID_Sensor;
  {$EXTERNALSYM IID_Sensor}
  IID_SensorCollection:       TGUID = SID_SensorCollection;
  {$EXTERNALSYM IID_SensorCollection}
  IID_SensorDataReport:       TGUID = SID_SensorDataReport;
  {$EXTERNALSYM IID_SensorDataReport}
  IID_SensorEvents:           TGUID = SID_SensorEvents;
  {$EXTERNALSYM IID_SensorEvents}
  IID_SensorManager:          TGUID = SID_SensorManager;
  {$EXTERNALSYM IID_SensorManager}
  IID_SensorManagerEvents:    TGUID = SID_SensorManagerEvents;
  {$EXTERNALSYM IID_SensorManagerEvents}

  // CLSID
  CLSID_LogicalSensorManager: TGUID = '{50A7B286-7D23-41E6-9440-4DAEE00DC5F0}';
  {$EXTERNALSYM CLSID_LogicalSensorManager}
  CLSID_Sensor:               TGUID = '{E97CED00-523A-4133-BF6F-D3A2DAE7F6BA}';
  {$EXTERNALSYM CLSID_Sensor}
  CLSID_SensorCollection:     TGUID = '{79C43ADB-A429-469F-AA39-2F2B74B75937}';
  {$EXTERNALSYM CLSID_SensorCollection}
  CLSID_SensorDataReport:     TGUID = '{4EA9D6EF-694B-4218-8816-CCDA8DA74BBA}';
  {$EXTERNALSYM CLSID_SensorDataReport}
  CLSID_SensorManager:        TGUID = '{77A1C827-FCD2-4689-8915-9D613CC5FA3E}';
  {$EXTERNALSYM CLSID_SensorManager}

type
  // forward
  ILogicalSensorManager = interface;
  ISensor = interface;
  ISensorCollection = interface;
  ISensorDataReport = interface;
  ISensorEvents = interface;
  ISensorManager = interface;
  ISensorManagerEvents = interface;

  REFGUID               = TGUID;
  SENSOR_CATEGORY_ID    = TGUID;
  REFSENSOR_CATEGORY_ID = REFGUID;
  SENSOR_TYPE_ID        = TGUID;
  REFSENSOR_TYPE_ID     = REFGUID;
  SENSOR_ID             = TGUID;
  REFSENSOR_ID          = REFGUID;
  REFPROPERTYKEY        = TPROPERTYKEY;

  TSensorState = Word;
  PSensorState = ^TSensorState;

  { ILogicalSensorManager }
  {$HPPEMIT 'DECLARE_DINTERFACE_TYPE(ILogicalSensorManager);'}
  ILogicalSensorManager = interface (IUnknown)
    [SID_LogicalSensorManager]
    function Connect(logicalID: REFGUID; pPropertyStore: IPropertyStore): HRESULT; stdcall;
    function Disconnect(logicalID: REFGUID): HRESULT; stdcall;
    function Uninstall(logicalID: REFGUID): HRESULT; stdcall;
  end;
  {$EXTERNALSYM ILogicalSensorManager}

  { ISensor }
  {$EXTERNALSYM ISensor}
  {$HPPEMIT 'DECLARE_DINTERFACE_TYPE(ISensor);'}
  ISensor = interface (IUnknown)
    [SID_Sensor]
//    function GetCategory(out pSensorCategory: SENSOR_CATEGORY_ID): HRESULT; stdcall;
//    function GetData(out ppDataReport: ISensorDataReport): HRESULT; stdcall;
//    function GetEventInterest(out ppValues: PGUID; out pCount: ULONG): HRESULT; stdcall;
//    function GetFriendlyName(out pFriendlyName: WideString): HRESULT; stdcall;
//    function GetID(out pID: SENSOR_ID): HRESULT; stdcall;
//    function GetProperties(pKeys: IPortableDeviceKeyCollection; out ppProperties: IPortableDeviceValues): HRESULT; stdcall;
//    function GetProperty(var key: REFPROPERTYKEY; out pProperty: PROPVARIANT): HRESULT; stdcall;
//    function GetState(out pState: PSensorState): HRESULT; stdcall;
//    function GetSupportedDataFields(out ppDataFields: IPortableDeviceKeyCollection): HRESULT; stdcall;
//    function GetType(out pSensorType: SENSOR_TYPE_ID): HRESULT; stdcall;
//    function SetEventInterest(pValues: PGUID; count: ULONG): HRESULT; stdcall;
//    function SetEventSink(pEvents: ISensorEvents): HRESULT; stdcall;
//    function SetProperties(pProperties: IPortableDeviceValues; out ppResults: IPortableDeviceValues): HRESULT; stdcall;
//    function SupportsDataField(var key: REFPROPERTYKEY; out pIsSupported: VARIANT_BOOL): HRESULT; stdcall;
//    function SupportsEvent(eventGuid: REFGUID; out pIsSupported: VARIANT_BOOL): HRESULT; stdcall;
    function GetCategory(pSensorCategory: SENSOR_CATEGORY_ID): HRESULT; stdcall;
    function GetData(out ppDataReport: ISensorDataReport): HRESULT; stdcall;
    function GetEventInterest(out ppValues: PGUID; pCount: ULONG): HRESULT; stdcall;
    function GetFriendlyName(pFriendlyName: WideString): HRESULT; stdcall;
    function GetID(pID: SENSOR_ID): HRESULT; stdcall;
    function GetProperties(pKeys: IPortableDeviceKeyCollection; out ppProperties: IPortableDeviceValues): HRESULT; stdcall;
    function GetProperty(var key: REFPROPERTYKEY; pProperty: PROPVARIANT): HRESULT; stdcall;
    function GetState(pState: PSensorState): HRESULT; stdcall;
    function GetSupportedDataFields(out ppDataFields: IPortableDeviceKeyCollection): HRESULT; stdcall;
    function GetType(pSensorType: SENSOR_TYPE_ID): HRESULT; stdcall;
    function SetEventInterest(pValues: PGUID; count: ULONG): HRESULT; stdcall;
    function SetEventSink(pEvents: ISensorEvents): HRESULT; stdcall;
    function SetProperties(pProperties: IPortableDeviceValues; out ppResults: IPortableDeviceValues): HRESULT; stdcall;
    function SupportsDataField(var key: REFPROPERTYKEY; pIsSupported: VARIANT_BOOL): HRESULT; stdcall;
    function SupportsEvent(eventGuid: REFGUID; pIsSupported: VARIANT_BOOL): HRESULT; stdcall;
  end;
  {$EXTERNALSYM ILogicalSensorManager}

  { ISensorCollection }
  {$HPPEMIT 'DECLARE_DINTERFACE_TYPE(ISensorCollection);'}
  ISensorCollection = interface (IUnknown)
    [SID_SensorCollection]
    function Add(var pSensor: ISensor): HRESULT; stdcall;
    function Clear: HRESULT; stdcall;
    function GetAt(const ulIndex: ULONG; out ppSensor: ISensor): HRESULT; stdcall;
    function GetCount(var pCount: ULONG): HRESULT; stdcall;
    function Remove(var pSensor: ISensor): HRESULT; stdcall;
    function RemoveByID(const sensorID: REFSENSOR_ID): HRESULT; stdcall;
//    function Add(var pSensor: ISensor): HRESULT; stdcall;
//    function Clear: HRESULT; stdcall;
//    function GetAt(const ulIndex: ULONG; out ppSensor: ISensor): HRESULT; stdcall;
//    function GetCount(out pCount: ULONG): HRESULT; stdcall;
//    function Remove(var pSensor: ISensor): HRESULT; stdcall;
//    function RemoveByID(const sensorID: REFSENSOR_ID): HRESULT; stdcall;
  end;
  {$EXTERNALSYM ISensorCollection}

  { ISensorDataReport }
  {$HPPEMIT 'DECLARE_DINTERFACE_TYPE(ISensorDataReport);'}
  ISensorDataReport = interface (IUnknown)
    [SID_SensorDataReport]
    function GetSensorValue(var pKey: REFPROPERTYKEY; out pValue: PROPVARIANT): HRESULT; stdcall;
    function GetSensorValues(pKeys: IPortableDeviceKeyCollection; out ppValues: IPortableDeviceValues): HRESULT; stdcall;
    function GetTimestamp(out pTimeStamp: SYSTEMTIME): HRESULT; stdcall;
  end;
  {$EXTERNALSYM ISensorDataReport}

  { ISensorEvents }
  {$HPPEMIT 'DECLARE_DINTERFACE_TYPE(ISensorEvents);'}
  ISensorEvents = interface (IUnknown)
    [SID_SensorEvents]
    function OnDataUpdated(pSensor: ISensor; pNewData: ISensorDataReport): HRESULT; stdcall;
    function OnEvent(pSensor: ISensor; eventID: REFGUID; pEventData: IPortableDeviceValues): HRESULT; stdcall;
    function OnLeave(const ID: REFSENSOR_ID): HRESULT; stdcall;
    function OnStateChanged(pSensor: ISensor; state: PSensorState): HRESULT; stdcall;
  end;
  {$EXTERNALSYM ISensorEvents}

  { ISensorManager }
  {$HPPEMIT 'DECLARE_DINTERFACE_TYPE(ISensorManager);'}
  ISensorManager = interface (IUnknown)
    [SID_SensorManager]
    function GetSensorByID(const sensorID: REFSENSOR_ID; out ppSensor: ISensor): HRESULT; stdcall;
    function GetSensorsByCategory(const SensorCategory: SENSOR_CATEGORY_ID; out ppSensorsFound: ISensorCollection): HRESULT; stdcall;
    function GetSensorsByType(const sensorType: REFSENSOR_TYPE_ID; out ppSensorsFound: ISensorCollection): HRESULT; stdcall;
    function RequestPermissions(hParent: HWND; pSensors: ISensorCollection; fModal: Boolean): HRESULT; stdcall;
    function SetEventSink(pEvents: ISensorManagerEvents): HRESULT; stdcall;
  end;
  {$EXTERNALSYM ISensorManager}

  { ISensorManagerEvents }
  {$HPPEMIT 'DECLARE_DINTERFACE_TYPE(ISensorManagerEvents);'}
  ISensorManagerEvents = interface (IUnknown)
    [SID_SensorManagerEvents]
    function OnSensorEnter(pSensor: ISensor; state: PSensorState): HRESULT; stdcall;
  end;
  {$EXTERNALSYM ISensorManagerEvents}

implementation

const
  SensorsAPILib = 'SensorsAPI.dll';

end.
